function RSOCSettings = getDefaultRSOCSettings()
%function RSOCSettings = getDefaultRSOCSettings()
% **********************************************************
% *
% * Robust Policy Updates for Stochastic Optimal Control
% *   E. Rueckert, M. Mindt, J. Peters and G. Neumann (HUMANOIDS 2014)
% * 
% * If you use this code, please cite the paper!
% * 
% * contact: rueckert@ias.tu-darmstadt.de
% *
% **********************************************************
% This function generates a structure of default parameters used in the
% RSOC method. Use it as template to generate user specific
% implementations.

RSOCSettings.maxIts = 25;
RSOCSettings.flgPrintCost = 1;

RSOCSettings.theta = 0.1;           %convergence threshold
RSOCSettings.maxTimeSliceIts = 10;  %max number of iterations per time slice
RSOCSettings.flgEarlyStop = 0;      %terminate planning when converged

end